Get account transaction summaries
const url = 'https://example.com/v1/accounts/0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1/transaction_summaries?start_version=32425224034&end_version=32425224034';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v1/accounts/0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1/transaction_summaries?start_version=32425224034&end_version=32425224034'Retrieves summaries of on-chain committed transactions (both sequence number based and orderless transactions) from an account. Each transaction summary contains the sender addresss, transaction hash, version, and replay protector.
If start_version is provided, the output consists of transaction summaries starting form that version.
If start_version is not provided but the end_version is provided, the output consists of transaction summaries ending at the end_version.
If both start_version and end_version are not provided, the output consists of the summaries of most recent committed transaction from the account.
The output always consists of transaction summaries ordered in ascending order by version.
To retrieve a pending transaction, use /transactions/by_hash.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “ Path Parameters ”A hex encoded 32 byte Aptos account address.
This is represented in a string as a 64 character hex string, sometimes shortened by stripping leading 0s, and adding a 0x.
For example, address 0x0000000000000000000000000000000000000000000000000000000000000001 is represented as 0x1.
Example
0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1Address of account with or without a 0x prefix
Query Parameters
Section titled “ Query Parameters ”A string containing a 64-bit unsigned integer.
We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.
Example
32425224034Transaction version to start list of transactions
If not provided, defaults to showing the latest transactions
A string containing a 64-bit unsigned integer.
We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.
Example
32425224034Transaction version to end list of transactions
If not provided, defaults to showing the latest transactions
Max number of transactions to retrieve.
If not provided, defaults to default page size
Responses
Section titled “ Responses ”object
A hex encoded 32 byte Aptos account address.
This is represented in a string as a 64 character hex string, sometimes shortened by stripping leading 0s, and adding a 0x.
For example, address 0x0000000000000000000000000000000000000000000000000000000000000001 is represented as 0x1.
A string containing a 64-bit unsigned integer.
We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.
Example
[ { "sender": "0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1", "version": "32425224034", "replay_protector": { "type": "sequence_number" } }]Headers
Section titled “ Headers ”Chain ID of the current chain
Current ledger version of the chain
Oldest non-pruned ledger version of the chain
Current timestamp of the chain
Current epoch of the chain
Current block height of the chain
Oldest non-pruned block height of the chain
The cost of the call in terms of gas
Cursor to be used for endpoints that support cursor-based
pagination. Pass this to the start field of the endpoint
on the next call to get the next page of results.
This is the generic struct we use for all API errors, it contains a string message and an Aptos API specific error code.
object
A message describing the error
These codes provide more granular error information beyond just the HTTP status code of the response.
A code providing VM error details when submitting transactions to the VM
Example
{ "error_code": "account_not_found"}Headers
Section titled “ Headers ”Chain ID of the current chain
Current ledger version of the chain
Oldest non-pruned ledger version of the chain
Current timestamp of the chain
Current epoch of the chain
Current block height of the chain
Oldest non-pruned block height of the chain
The cost of the call in terms of gas
This is the generic struct we use for all API errors, it contains a string message and an Aptos API specific error code.
object
A message describing the error
These codes provide more granular error information beyond just the HTTP status code of the response.
A code providing VM error details when submitting transactions to the VM
Example
{ "error_code": "account_not_found"}Headers
Section titled “ Headers ”Chain ID of the current chain
Current ledger version of the chain
Oldest non-pruned ledger version of the chain
Current timestamp of the chain
Current epoch of the chain
Current block height of the chain
Oldest non-pruned block height of the chain
The cost of the call in terms of gas
This is the generic struct we use for all API errors, it contains a string message and an Aptos API specific error code.
object
A message describing the error
These codes provide more granular error information beyond just the HTTP status code of the response.
A code providing VM error details when submitting transactions to the VM
Example
{ "error_code": "account_not_found"}Headers
Section titled “ Headers ”Chain ID of the current chain
Current ledger version of the chain
Oldest non-pruned ledger version of the chain
Current timestamp of the chain
Current epoch of the chain
Current block height of the chain
Oldest non-pruned block height of the chain
The cost of the call in terms of gas
This is the generic struct we use for all API errors, it contains a string message and an Aptos API specific error code.
object
A message describing the error
These codes provide more granular error information beyond just the HTTP status code of the response.
A code providing VM error details when submitting transactions to the VM
Example
{ "error_code": "account_not_found"}Headers
Section titled “ Headers ”Chain ID of the current chain
Current ledger version of the chain
Oldest non-pruned ledger version of the chain
Current timestamp of the chain
Current epoch of the chain
Current block height of the chain
Oldest non-pruned block height of the chain
The cost of the call in terms of gas
This is the generic struct we use for all API errors, it contains a string message and an Aptos API specific error code.
object
A message describing the error
These codes provide more granular error information beyond just the HTTP status code of the response.
A code providing VM error details when submitting transactions to the VM
Example
{ "error_code": "account_not_found"}Headers
Section titled “ Headers ”Chain ID of the current chain
Current ledger version of the chain
Oldest non-pruned ledger version of the chain
Current timestamp of the chain
Current epoch of the chain
Current block height of the chain
Oldest non-pruned block height of the chain
The cost of the call in terms of gas
This is the generic struct we use for all API errors, it contains a string message and an Aptos API specific error code.
object
A message describing the error
These codes provide more granular error information beyond just the HTTP status code of the response.
A code providing VM error details when submitting transactions to the VM
Example
{ "error_code": "account_not_found"}Headers
Section titled “ Headers ”Chain ID of the current chain
Current ledger version of the chain
Oldest non-pruned ledger version of the chain
Current timestamp of the chain
Current epoch of the chain
Current block height of the chain
Oldest non-pruned block height of the chain
The cost of the call in terms of gas